## com.thingmagic
Enum SerialReader.PowerMode

    java.lang.Object
      java.lang.Enum<SerialReader.PowerMode>
          com.thingmagic.SerialReader.PowerMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerialReader.PowerMode>

Enclosing class:
  SerialReader

    public static enum SerialReader.PowerMode

extends java.lang.Enum<SerialReader.PowerMode>

The device power mode, for use in the /reader/powerMode parameter, `SerialReader.cmdGetPowerMode()`, and `SerialReader.cmdSetPowerMode(com.thingmagic.SerialReader.PowerMode)`.

Enum Constant Summary
`FULL`
`INVALID`
`MAXSAVE`
`MEDSAVE`
`MINSAVE`
`SLEEP`

Method Summary
`static SerialReader.PowerMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.PowerMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID

    public static final SerialReader.PowerMode INVALID

### FULL

    public static final SerialReader.PowerMode FULL

### MINSAVE

    public static final SerialReader.PowerMode MINSAVE

### MEDSAVE

    public static final SerialReader.PowerMode MEDSAVE

### MAXSAVE

    public static final SerialReader.PowerMode MAXSAVE

### SLEEP

    public static final SerialReader.PowerMode SLEEP

Method Detail

### values

    public static SerialReader.PowerMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.PowerMode c : SerialReader.PowerMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.PowerMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null